Package org.silverpeas.components.gallery.process.media

## Class GalleryIndexMediaDataProcess

- java.lang.Object
- - org.silverpeas.core.process.AbstractProcess<C>
  - - org.silverpeas.core.process.management.AbstractDataProcess<org.silverpeas.core.process.management.ProcessExecutionContext>
    - - org.silverpeas.components.gallery.process.AbstractGalleryDataProcess
      - - org.silverpeas.components.gallery.process.media.GalleryIndexMediaDataProcess

- All Implemented Interfaces:
    `org.silverpeas.core.process.SilverpeasProcess<org.silverpeas.core.process.management.ProcessExecutionContext>`

      public class GalleryIndexMediaDataProcess
      extends AbstractGalleryDataProcess

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `GalleryIndexMediaDataProcess​(Media media)` | Default hidden constructor

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GalleryIndexMediaDataProcess` | `getInstance​(Media media)` | Process to index a media in Database
    `void` | `onSuccessful()` |
    `protected void` | `processData​(org.silverpeas.core.process.management.ProcessExecutionContext context, org.silverpeas.core.process.session.ProcessSession session)` |

    - ### Methods inherited from class org.silverpeas.components.gallery.process.AbstractGalleryDataProcess

      `createMedia, getGalleryBm, getGalleryContentManager, getGenericRecordSetManager, getMedia, getOrganisationController, getPublicationTemplateManager, getXMLFormName, process, updateMedia`

    - ### Methods inherited from class org.silverpeas.core.process.management.AbstractDataProcess

      `getProcessType`

    - ### Methods inherited from class org.silverpeas.core.process.AbstractProcess

      `onFailure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GalleryIndexMediaDataProcess

          protected GalleryIndexMediaDataProcess​(Media media)

      Default hidden constructor
      Parameters:
        `media` - the media for which a process is constructed

  - ### Method Detail

    - #### getInstance

          public static GalleryIndexMediaDataProcess getInstance​(Media media)

      Process to index a media in Database
      Parameters:
        `media` - the media
      Returns:
        the process of indexing a media

    - #### processData

          protected void processData​(org.silverpeas.core.process.management.ProcessExecutionContext context,
                                     org.silverpeas.core.process.session.ProcessSession session)

      Specified by:
        `processData` in class `AbstractGalleryDataProcess`

    - #### onSuccessful

          public void onSuccessful()

      Specified by:
        `onSuccessful` in interface `org.silverpeas.core.process.SilverpeasProcess<org.silverpeas.core.process.management.ProcessExecutionContext>`
      Overrides:
        `onSuccessful` in class `org.silverpeas.core.process.AbstractProcess<org.silverpeas.core.process.management.ProcessExecutionContext>`